## Authentication for lighttpd
##
## Documentation: /usr/share/doc/lighttpd-doc/authentication.txt.gz
##                http://www.lighttpd.net/documentation/authentication.html

server.modules                += ( "mod_auth" )

# auth.backend                 = "plain"
# auth.backend.plain.userfile  = "lighttpd.user"
# auth.backend.plain.groupfile = "lighttpd.group"

# auth.backend.ldap.hostname   = "localhost"
# auth.backend.ldap.base-dn    = "dc=my-domain,dc=com"
# auth.backend.ldap.filter     = "(uid=$)"

auth.require                 = ( "/server-status" => 
                                ( 
				  "method"  => "basic",
				  "realm"   => "download archiv",
				  "require" => "user=belgarat"
				),
				"/server-info" => 
                                ( 
				  "method"  => "digest",
				  "realm"   => "download archiv",
				  "require" => "user=belgarat"
				)
                              )

auth.backend	= "ldap"
auth.backend.ldap.hostname = "is.klfree.net" 
auth.backend.ldap.base-dn  = "ou=members,dc=klfree,dc=net" 
auth.backend.ldap.filter   = "(uid=$)" 
#auth.backend.ldap.starttls   = "disable" 

